Bug 208966 - [x86_64] regression in openoffice writer, table references broken in expressions
[x86_64] regression in openoffice writer, table references broken in expressions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-02 15:39 EDT by Henrik Nordstrom
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.4-5.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-11 06:55:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 70061 None None None Never

  None (edit)
Description Henrik Nordstrom 2006-10-02 15:39:30 EDT
Description of problem:

References to able cells no longer works in OpenOffice writer formulas. Worked
in FC5.

Version-Release number of selected component (if applicable):

openoffice.org-writer-2.0.4-5.1

How reproducible:

Always.

Steps to Reproduce:
1. Insert a table (at least 2 cells)
2. Enter the digit 1 in the first cell
3. Press F2 in another cell and enter 5 + and click on the first cell
  
Actual results:

** Invalid Expression **

and in the the expression the reference to <A1> has been replaced by <?>

Expected results:

Automatic calculation of the contents of the first cell + 5.

Additional info:

Works fine in Fedora Core 5 openoffice.org-writer-2.0.2-5.19.2
Comment 1 Caolan McNamara 2006-10-03 04:10:40 EDT
On i386 I e.g. get =5+<A1> and hitting return calculates as expected, I can't
reproduce this. Are you on x86_64, or i386 or ppc ?
Comment 2 Caolan McNamara 2006-10-03 05:05:17 EDT
I can reproduce this under x86_64, and have a fix. Checked in, will be in next
respin
Comment 3 Henrik Nordstrom 2006-10-03 05:21:32 EDT
x86_64 as indicated in the hardware field.
Comment 4 Caolan McNamara 2006-10-03 05:43:46 EDT
yeah, but I set that field :-)

Note You need to log in before you can comment on or make changes to this bug.